package com.huimv.receive.controller;


import com.huimv.receive.common.utils.Result;
import com.huimv.receive.service.IBillCleanBeforeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 洗消表 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-03-11
 */
@RestController
@RequestMapping("/bill-clean-before")
@CrossOrigin
public class BillCleanBeforeController {

    @Autowired
    private IBillCleanBeforeService billCleanBeforeService;

    @PostMapping("/listPersonalCleanBefore")
    public Result listPersonalCleanBefore(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return billCleanBeforeService.listPersonalCleanBefore(httpServletRequest,paramsMap);
    }

}
